module Syntax (Expr(..),showE) where

data Expr = Var String | Const String 
		| App Expr Expr | Abs String Expr

showE (Var s) = s
showE (Const s) = s
showE (App e1 e2) = "("++showE e1++" "++showE e2++")"
showE (Abs v e) = "(\\"++v++". "++showE e++")"